.contact-card {
  --card-link-color-hover: var(--accent-primary-hover);
  padding: 2.5rem;
  width: 100%;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 1.875rem;
  background-color: var(--bg-extra-light);
  border-radius: var(--radius-card);
  overflow: hidden;
}
@media (min-width: 1921px) {
  .contact-card {
    padding: 2.0833333333vw;
    gap: 1.5625vw;
  }
}
@media (max-width: 1600px) {
  .contact-card {
    padding: 1.875rem;
    gap: 1.25rem;
  }
}
@media (max-width: 1160px) {
  .contact-card {
    padding: 1.25rem;
    gap: 0.9375rem;
  }
}
@media (max-width: 630px) {
  .contact-card {
    padding: 0.9375rem;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    max-height: var(--card-height);
    gap: 0.625rem;
  }
}
.contact-card_single .contact-card__tab-list > .tab:not([data-contact-card-back]) {
  display: none;
}
.contact-card_single .contact-card__tab-list > .tab[data-contact-card-back] {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.contact-card_single .contact-card__list {
  display: none;
}
.contact-card_single .contact-card__wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.contact-card__tab-list {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -ms-flex-negative: 0;
      flex-shrink: 0;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 0.625rem;
}
@media (min-width: 1921px) {
  .contact-card__tab-list {
    gap: 0.5208333333vw;
  }
}
@media (max-width: 1160px) {
  .contact-card__tab-list {
    position: relative;
    right: var(--container-offset);
    padding: 0 var(--container-offset);
    width: calc(100% + var(--container-offset) * 2);
    -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
    scrollbar-width: none;
  }
  .contact-card__tab-list::-webkit-scrollbar {
    display: none;
  }
  .contact-card__tab-list::-webkit-scrollbar-track {
    display: none;
  }
  .contact-card__tab-list::-webkit-scrollbar-thumb {
    display: none;
  }
}
@media (max-width: 1160px) and (any-hover: hover) {
  .contact-card__tab-list {
    position: static;
    padding: 0;
    width: 100%;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }
}
.contact-card__tab-list [data-contact-card-back] {
  display: none;
}
.contact-card__list {
  width: 100%;
  min-height: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
  gap: 0.625rem;
  overflow: auto;
}
@media (min-width: 1921px) {
  .contact-card__list {
    gap: 0.5208333333vw;
  }
}
@media (max-width: 630px) {
  .contact-card__list {
    gap: 0.3125rem;
  }
}
@media (any-hover: hover) {
  .contact-card__list {
    --scrollbar-border-color: var(--bg-white);
    --scrollbar-thumb-color: var(--stroke-dark-15);
    --scrollbar-thumb-color-hover: var(--current-accent-color);
  }
  .contact-card__list::-webkit-scrollbar {
    width: 0.8125rem;
  }
  .contact-card__list::-webkit-scrollbar-track {
    background: var(--scrollbar-track-color, transparent);
  }
  .contact-card__list::-webkit-scrollbar-thumb {
    background-color: var(--scrollbar-thumb-color, var(--stroke-dark-15));
    border: 0.25rem solid var(--scrollbar-border-color, var(--bg-white));
    border-radius: var(--radius-small-elements);
    cursor: pointer;
  }
}
@media (any-hover: hover) and (any-hover: hover) {
  .contact-card__list::-webkit-scrollbar-thumb:hover {
    background-color: var(--scrollbar-thumb-color-hover, var(--current-accent-color));
  }
}
@media (any-hover: hover) {
  .invert-components .contact-card__list:not(.no-invert), .contact-card__list.invert-components:not(.no-invert) {
    --scrollbar-border-color: var(--bg-dark-light);
    --scrollbar-thumb-color: var(--stroke-light-25);
  }
}
.contact-card__wrapper {
  width: 100%;
  height: auto;
  min-height: 0;
  display: none;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-flex: 0;
      -ms-flex-positive: 0;
          flex-grow: 0;
  gap: 1.875rem;
  overflow: auto;
}
@media (min-width: 1921px) {
  .contact-card__wrapper {
    gap: 1.5625vw;
  }
}
@media (max-width: 1600px) {
  .contact-card__wrapper {
    gap: 1.25rem;
  }
}
@media (max-width: 1160px) {
  .contact-card__wrapper {
    gap: 0.9375rem;
  }
}
@media (any-hover: hover) {
  .contact-card__wrapper {
    --scrollbar-border-color: var(--bg-white);
    --scrollbar-thumb-color: var(--stroke-dark-15);
    --scrollbar-thumb-color-hover: var(--current-accent-color);
  }
  .contact-card__wrapper::-webkit-scrollbar {
    width: 0.8125rem;
  }
  .contact-card__wrapper::-webkit-scrollbar-track {
    background: var(--scrollbar-track-color, transparent);
  }
  .contact-card__wrapper::-webkit-scrollbar-thumb {
    background-color: var(--scrollbar-thumb-color, var(--stroke-dark-15));
    border: 0.25rem solid var(--scrollbar-border-color, var(--bg-white));
    border-radius: var(--radius-small-elements);
    cursor: pointer;
  }
}
@media (any-hover: hover) and (any-hover: hover) {
  .contact-card__wrapper::-webkit-scrollbar-thumb:hover {
    background-color: var(--scrollbar-thumb-color-hover, var(--current-accent-color));
  }
}
@media (any-hover: hover) {
  .invert-components .contact-card__wrapper:not(.no-invert), .contact-card__wrapper.invert-components:not(.no-invert) {
    --scrollbar-border-color: var(--bg-dark-light);
    --scrollbar-thumb-color: var(--stroke-light-25);
  }
}
.contact-card__image {
  position: relative;
  width: 100%;
  height: auto;
  aspect-ratio: 625/300;
  -ms-flex-negative: 0;
      flex-shrink: 0;
  border-radius: var(--radius-card-s);
  overflow: hidden;
  pointer-events: none;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
@media (max-width: 1600px) {
  .contact-card__image {
    aspect-ratio: 462/222;
  }
}
@media (max-width: 1160px) {
  .contact-card__image {
    aspect-ratio: 294/134;
  }
}
@media (max-width: 630px) {
  .contact-card__image {
    aspect-ratio: 250/114;
  }
}
.contact-card__image img, .contact-card__image picture {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center;
     object-position: center;
}
.contact-card__content {
  --local-column-gap: 2.75rem;
  --local-row-gap: 1rem;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: var(--local-row-gap);
}
@media (min-width: 1921px) {
  .contact-card__content {
    --local-column-gap: 2.2916666667vw;
    --local-row-gap: 0.8333333333vw;
  }
}
@media (max-width: 1600px) {
  .contact-card__content {
    --local-row-gap: 0.875rem;
  }
}
@media (max-width: 1160px) {
  .contact-card__content {
    --local-row-gap: 0.75rem;
  }
}
.contact-card__row {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  row-gap: var(--local-row-gap);
  -webkit-column-gap: var(--local-column-gap);
     -moz-column-gap: var(--local-column-gap);
          column-gap: var(--local-column-gap);
}
.contact-card__row .column {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: var(--local-row-gap);
}
@media (max-width: 1160px) {
  .contact-card__row {
    grid-template-columns: 1fr;
  }
}
.contact-card__item {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 0.3125rem;
}
@media (min-width: 1921px) {
  .contact-card__item {
    gap: 0.2604166667vw;
  }
}
@media (max-width: 1600px) {
  .contact-card__item {
    gap: 0.1875rem;
  }
}
@media (max-width: 1160px) {
  .contact-card__item {
    gap: 0;
  }
}
.js-has-pseudo [csstools-has-1a-2r-33-32-38-2p-2r-38-19-2r-2p-36-2s-2n-2n-2x-38-2t-31-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15]:not(.does-not-exist) {
  gap: 0.9375rem;
}
.contact-card__item:has(.social-list) {
  gap: 0.9375rem;
}
@media (min-width: 1921px) {
  .js-has-pseudo [csstools-has-1a-2r-33-32-38-2p-2r-38-19-2r-2p-36-2s-2n-2n-2x-38-2t-31-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15]:not(.does-not-exist) {
    gap: 0.78125vw;
  }
  .contact-card__item:has(.social-list) {
    gap: 0.78125vw;
  }
}
@media (max-width: 1600px) {
  .js-has-pseudo [csstools-has-1a-2r-33-32-38-2p-2r-38-19-2r-2p-36-2s-2n-2n-2x-38-2t-31-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15]:not(.does-not-exist) {
    gap: 0.625rem;
  }
  .contact-card__item:has(.social-list) {
    gap: 0.625rem;
  }
}
@media (max-width: 1160px) {
  .js-has-pseudo [csstools-has-1a-2r-33-32-38-2p-2r-38-19-2r-2p-36-2s-2n-2n-2x-38-2t-31-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15]:not(.does-not-exist) {
    gap: 0.3125rem;
  }
  .contact-card__item:has(.social-list) {
    gap: 0.3125rem;
  }
}
.contact-card__name {
  color: var(--text-dark-secondary);
}
.contact-card__value .button.button_social {
  --button-border-color: var(--stroke-dark-25);
  --icon-color: var(--text-dark-primary);
}
.js-has-pseudo .contact-card__value:not([csstools-has-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15]) {
  color: var(--text-dark-primary);
  font: var(--font-body-L-r);
}
.contact-card__value:not(:has(.social-list)) {
  color: var(--text-dark-primary);
  font: var(--font-body-L-r);
}
.js-has-pseudo .contact-card__value:not([csstools-has-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15])[href] {
  position: relative;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  text-decoration: none;
  -webkit-transition: color var(--animation-default);
  transition: color var(--animation-default);
}
.contact-card__value:not(:has(.social-list))[href] {
  position: relative;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  text-decoration: none;
  -webkit-transition: color var(--animation-default);
  transition: color var(--animation-default);
}
@media (any-hover: hover) {
  .js-has-pseudo .contact-card__value:not([csstools-has-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15])[href]:hover {
    color: var(--card-link-color-hover);
  }
  .contact-card__value:not(:has(.social-list))[href]:hover {
    color: var(--card-link-color-hover);
  }
}
.js-has-pseudo .contact-card__value:not([csstools-has-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15])[href]::before {
  top: -0.3125rem;
  left: -0.3125rem;
  width: calc(100% + 0.3125rem * 2);
  height: calc(100% + 0.3125rem * 2);
  content: "";
  position: absolute;
  background-color: transparent;
  opacity: 0;
}
.contact-card__value:not(:has(.social-list))[href]::before {
  top: -0.3125rem;
  left: -0.3125rem;
  width: calc(100% + 0.3125rem * 2);
  height: calc(100% + 0.3125rem * 2);
  content: "";
  position: absolute;
  background-color: transparent;
  opacity: 0;
}
@media (min-width: 1921px) {
  .js-has-pseudo .contact-card__value:not([csstools-has-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15])[href]::before {
    top: -0.2604166667vw;
    left: -0.2604166667vw;
    width: calc(100% + 0.2604166667vw * 2);
    height: calc(100% + 0.2604166667vw * 2);
  }
  .contact-card__value:not(:has(.social-list))[href]::before {
    top: -0.2604166667vw;
    left: -0.2604166667vw;
    width: calc(100% + 0.2604166667vw * 2);
    height: calc(100% + 0.2604166667vw * 2);
  }
}
.js-has-pseudo .contact-card__value:not([csstools-has-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15])[href]::before {
  left: 0;
  width: 100%;
}
.contact-card__value:not(:has(.social-list))[href]::before {
  left: 0;
  width: 100%;
}
.js-has-pseudo .contact-card__value:not([csstools-has-1m-2w-2p-37-14-1a-37-33-2r-2x-2p-30-19-30-2x-37-38-15])[href*="mailto:"] {
  color: var(--accent-primary-default);
  text-decoration-color: var(--accent-primary-default);
  text-decoration-line: underline;
  text-decoration-style: solid;
  -webkit-text-decoration-skip-ink: none;
          text-decoration-skip-ink: none;
  text-decoration-thickness: 1px;
  text-underline-position: from-font;
}
.contact-card__value:not(:has(.social-list))[href*="mailto:"] {
  color: var(--accent-primary-default);
  text-decoration-color: var(--accent-primary-default);
  text-decoration-line: underline;
  text-decoration-style: solid;
  -webkit-text-decoration-skip-ink: none;
          text-decoration-skip-ink: none;
  text-decoration-thickness: 1px;
  text-underline-position: from-font;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbImNvbXBvbmVudHMvY2FyZHMvY29udGFjdC1jYXJkL2NvbnRhY3QtY2FyZC5zY3NzJTIzc2FzcyIsImNvbXBvbmVudHMvY2FyZHMvY29udGFjdC1jYXJkL2NvbnRhY3QtY2FyZC5zY3NzIiwibWl4aW5zL19tZWRpYS5zY3NzIiwibWl4aW5zL19zY3JvbGxiYXIuc2NzcyIsIm1peGlucy9fZGlzYWJsZS1tb2ItaG92ZXIuc2NzcyIsIm1peGlucy9fcHNldWRvLWhvdmVyLnNjc3MiXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IkFBRUE7RUFDRSxvREFBQTtFQ0RGLGVBQUE7RURJRSxXQUFBO0VBQ0EsMkJBQUE7RUFBQSx3QkFBQTtFQUFBLG1CQUFBO0VBQ0Esb0JBQUE7RUFBQSxvQkFBQTtFQUFBLGFBQUE7RUFDQSw0QkFBQTtFQUFBLDZCQUFBO01BQUEsMEJBQUE7VUFBQSxzQkFBQTtFQUNBLHdCQUFBO01BQUEscUJBQUE7VUFBQSx1QkFBQTtFQUNBLHVCQUFBO01BQUEsb0JBQUE7VUFBQSwyQkFBQTtFQUNBLGFBQUE7RUFFQSx1Q0FBQTtFQUNBLGlDQUFBO0VBQ0EsZ0JBQUE7QUNIRjtBQ0xFO0VGTkY7SUNjRSx1QkRHRTtJQUNBLGFBQUE7RUNGRjtBQUNGO0FDTEU7RUZaRjtJQXNCSSxpQkFBQTtJQ0RGLFlBQUE7RUFDQTtBQUNGO0FDTEU7RUZsQkY7SUMwQkUsZ0JBQUE7SURFRSxjQUFBO0VDQUY7QUFDRjtBQ0xFO0VGeEJGO0lBZ0NJLGtCQUFBO0lBQ0EsMkJBQUE7SUFBQSx3QkFBQTtJQUFBLG1CQUFBO0lBQ0EsOEJBQUE7SUFDQSxhQUFBO0VDQ0Y7QUFDRjtBRElRO0VBQ0UsYUFBQTtBQ0ZWO0FES1E7RUFDRSxvQkFBQTtFQUFBLG9CQUFBO0VBQUEsYUFBQTtBQ0hWO0FET007RUFDRSxhQUFBO0FDTFI7QURRTTtFQUNFLG9CQUFBO0VBQUEsb0JBQUE7RUFBQSxhQUFBO0FDTlI7QURXRTtFQUNFLFdBQUE7RUFDQSxvQkFBQTtFQUFBLG9CQUFBO0VBQUEsYUFBQTtFQUNBLDhCQUFBO0VBQUEsNkJBQUE7TUFBQSx1QkFBQTtVQUFBLG1CQUFBO0VBQ0Esd0JBQUE7TUFBQSxxQkFBQTtVQUFBLHVCQUFBO0VBQ0EsdUJBQUE7TUFBQSxvQkFBQTtVQUFBLDJCQUFBO0VBQ0Esb0JBQUE7TUFBQSxjQUFBO0VBQ0EsbUJBQUE7TUFBQSxlQUFBO0VBQ0EsYUFBQTtBQ1RKO0FDckRFO0VGc0RBO0lBV0ksbUJBQUE7RUNSSjtBQUNGO0FDOUNFO0VGMENBO0lBZUksa0JBQUE7SUFDQSw4QkFBQTtJQUVBLGtDQUFBO0lBQ0EsK0NBQUE7SUFDQSxxQkFBQTtRQUFBLGlCQUFBO0lBRUEsZ0JBQUE7SUFDQSxrQkFBQTtJR1BKLHFCQUFBO0VGREE7RUVHQTtJQUNFLGFBQUE7RUZERjtFRUlBO0lBQ0UsYUFBQTtFRkZGO0VFS0E7SUFDRSxhQUFBO0VGSEY7QUFDRjtBREVNO0VBM0JKO0lBNEJNLGdCQUFBO0lBRUEsVUFBQTtJQUNBLFdBQUE7SUFDQSxtQkFBQTtRQUFBLGVBQUE7RUNBTjtBQUNGO0FER0k7RUFDRSxhQUFBO0FDRE47QURLRTtFQUNFLFdBQUE7RUFDQSxhQUFBO0VBQ0Esb0JBQUE7RUFBQSxvQkFBQTtFQUFBLGFBQUE7RUFDQSw0QkFBQTtFQUFBLDZCQUFBO01BQUEsMEJBQUE7VUFBQSxzQkFBQTtFQUNBLHdCQUFBO01BQUEscUJBQUE7VUFBQSx1QkFBQTtFQUNBLHVCQUFBO01BQUEsb0JBQUE7VUFBQSwyQkFBQTtFQUNBLG1CQUFBO01BQUEsb0JBQUE7VUFBQSxZQUFBO0VBQ0EsYUFBQTtFQUVBLGNBQUE7QUNKSjtBQ3JHRTtFRitGQTtJQWFJLG1CQUFBO0VDSEo7QUFDRjtBQ3hGRTtFRjZFQTtJQWlCSSxjQUFBO0VDRko7QUFDRjtBRElJO0VBcEJGO0lHN0ZBLHlDQUFBO0lBQ0EsOENBQUE7SUFDQSwwREFBQTtFRmlIQTtFRS9HQTtJQUNFLGdCQVhRO0VGNEhWO0VFOUdBO0lBQ0UscURBQUE7RUZnSEY7RUU3R0E7SUFDRSxxRUFBQTtJQUNBLG9FQUFBO0lBQ0EsMkNBbkJLO0lBcUJMLGVBQUE7RUY4R0Y7QUFDRjtBR3pJRTtFQUNFO0lENEJFLGlGQUFBO0VGZ0hKO0FBQ0Y7QURwQkk7RUd2RkE7SUFDRSw4Q0FBQTtJQUNBLCtDQUFBO0VGOEdKO0FBQ0Y7QURyQkU7RUFDRSxXQUFBO0VBQ0EsWUFBQTtFQUNBLGFBQUE7RUFDQSxhQUFBO0VBQ0EsNEJBQUE7RUFBQSw2QkFBQTtNQUFBLDBCQUFBO1VBQUEsc0JBQUE7RUFDQSx3QkFBQTtNQUFBLHFCQUFBO1VBQUEsdUJBQUE7RUFDQSx1QkFBQTtNQUFBLG9CQUFBO1VBQUEsMkJBQUE7RUFDQSxtQkFBQTtNQUFBLG9CQUFBO1VBQUEsWUFBQTtFQUNBLGFBQUE7RUFFQSxjQUFBO0FDc0JKO0FDekpFO0VGd0hBO0lBY0ksYUFBQTtFQ3VCSjtBQUNGO0FDeEpFO0VGa0hBO0lBa0JJLFlBQUE7RUN3Qko7QUFDRjtBQ3ZKRTtFRjRHQTtJQXNCSSxjQUFBO0VDeUJKO0FBQ0Y7QUR2Qkk7RUF6QkY7SUd0SEEseUNBQUE7SUFDQSw4Q0FBQTtJQUNBLDBEQUFBO0VGMEtBO0VFeEtBO0lBQ0UsZ0JBQUE7RUYwS0Y7RUV2S0E7SUFDRSxxREFBQTtFRnlLRjtFRXRLQTtJQUNFLHFFQUFBO0lBQ0Esb0VBQUE7SUFDQSwyQ0FuQks7SUFxQkwsZUFBQTtFRnVLRjtBQUNGO0FHbE1FO0VBQ0U7SUQ0QkUsaUZBQUE7RUZ5S0o7QUFDRjtBRC9DSTtFR3JIQTtJQUNFLDhDQUFBO0lBQ0EsK0NBQUE7RUZ1S0o7QUFDRjtBRGhERTtFQUNFLGtCQUFBO0VBRUEsV0FBQTtFQUNBLFlBQUE7RUFDQSxxQkFBQTtFQUNBLG9CQUFBO01BQUEsY0FBQTtFQUVBLG1DQUFBO0VBQ0EsZ0JBQUE7RUFFQSxvQkFBQTtFQUNBLHlCQUFBO0tBQUEsc0JBQUE7TUFBQSxxQkFBQTtVQUFBLGlCQUFBO0FDK0NKO0FDM01FO0VGZ0pBO0lDOERBLHFCQUFBO0VBQ0E7QUFDRjtBQzFNRTtFRjBJQTtJQW1CSSxxQkFBQTtFQ2lESjtBQUNGO0FDek1FO0VGb0lBO0lBdUJJLHFCQUFBO0VDa0RKO0FBQ0Y7QURoREk7RUFFRSxrQkFBQTtFQUNBLE1BQUE7RUFDQSxPQUFBO0VBRUEsV0FBQTtFQUNBLFlBQUE7RUFDQSxvQkFBQTtLQUFBLGlCQUFBO0VBQ0EsMEJBQUE7S0FBQSx1QkFBQTtBQ2dETjtBRDVDRTtFQUNFLDJCQUFBO0VBQ0EscUJBQUE7RUFFQSxXQUFBO0VBQ0Esb0JBQUE7RUFBQSxvQkFBQTtFQUFBLGFBQUE7RUFDQSw0QkFBQTtFQUFBLDZCQUFBO01BQUEsMEJBQUE7VUFBQSxzQkFBQTtFQUNBLHdCQUFBO01BQUEscUJBQUE7VUFBQSx1QkFBQTtFQUNBLHVCQUFBO01BQUEsb0JBQUE7VUFBQSwyQkFBQTtFQUNBLHlCQUFBO0FDNkNKO0FDblBFO0VGNkxBO0lBWUksa0NBQUE7SUFDQSwrQkFBQTtFQzhDSjtBQUNGO0FDblBFO0VGdUxBO0lBaUJJLHlCQUFBO0VDK0NKO0FBQ0Y7QUNsUEU7RUZpTEE7SUFxQkksd0JBQUE7RUNnREo7QUFDRjtBRDdDRTtFQUNFLFdBQUE7RUFDQSxhQUFBO0VBQ0EscUNBQUE7RUFDQSw2QkFBQTtFQUNBLDJDQUFBO0tBQUEsd0NBQUE7VUFBQSxtQ0FBQTtBQytDSjtBRDdDSTtFQUNFLG9CQUFBO0VBQUEsb0JBQUE7RUFBQSxhQUFBO0VBQ0EsNEJBQUE7RUFBQSw2QkFBQTtNQUFBLDBCQUFBO1VBQUEsc0JBQUE7RUFDQSx5QkFBQTtBQytDTjtBQ25RRTtFRjBNQTtJQWNJLDBCQUFBO0VDK0NKO0FBQ0Y7QUQ1Q0U7RUFDRSxXQUFBO0VBQ0Esb0JBQUE7RUFBQSxvQkFBQTtFQUFBLGFBQUE7RUFDQSw0QkFBQTtFQUFBLDZCQUFBO01BQUEsMEJBQUE7VUFBQSxzQkFBQTtFQUNBLHdCQUFBO01BQUEscUJBQUE7VUFBQSx1QkFBQTtFQUNBLHVCQUFBO01BQUEsb0JBQUE7VUFBQSwyQkFBQTtFQUNBLGNBQUE7QUM4Q0o7QUM1UkU7RUZ3T0E7SUFTSSxtQkFBQTtFQytDSjtBQUNGO0FDM1JFO0VGa09BO0lBYUksY0FBQTtFQ2dESjtBQUNGO0FDMVJFO0VGNE5BO0lBaUJJLE1BQUE7RUNpREo7QUFDRjtBRC9DSTtFQUNFLGNBQUE7QUNpRE47QURsREk7RUFDRSxjQUFBO0FDaUROO0FDOVNFO0VGNFBFO0lBSUksY0FBQTtFQ2tETjtFRHRERTtJQUlJLGNBQUE7RUNrRE47QUFDRjtBQzdTRTtFRnNQRTtJQVFJLGFBQUE7RUNtRE47RUQzREU7SUFRSSxhQUFBO0VDbUROO0FBQ0Y7QUM1U0U7RUZnUEU7SUMrREYsY0FBQTtFQUNGO0VEaEVJO0lDK0RGLGNBQUE7RUFDRjtBQUNBO0FEaERFO0VBQ0UsaUNBQUE7QUNrREo7QUQ5Q0k7RUFDRSw0Q0FBQTtFQUNBLHNDQUFBO0FDZ0ROO0FEN0NJO0VBQ0UsK0JBQUE7RUFDQSwwQkFBQTtBQytDTjtBRGpESTtFQUNFLCtCQUFBO0VBQ0EsMEJBQUE7QUMrQ047QUQ3Q007RUFDRSxrQkFBQTtFQUNBLDBCQUFBO0VBQUEsdUJBQUE7RUFBQSxrQkFBQTtFQUNBLHFCQUFBO0VBQ0Esa0RBQUE7RUFBQSwwQ0FBQTtBQytDUjtBRG5ETTtFQUNFLGtCQUFBO0VBQ0EsMEJBQUE7RUFBQSx1QkFBQTtFQUFBLGtCQUFBO0VBQ0EscUJBQUE7RUFDQSxrREFBQTtFQUFBLDBDQUFBO0FDK0NSO0FHclZFO0VBQ0U7SUp3U00sbUNBQUE7RUNnRFI7RUd4VkU7SUp3U00sbUNBQUE7RUNnRFI7QUFDRjtBRDlDUTtFSzVTTixlQUFBO0VBQ0EsZ0JBQUE7RUFFQSxpQ0FBQTtFQUNBLGtDQUFBO0VBR0UsV0FBQTtFQUVBLGtCQUFBO0VBR0UsNkJBQUE7RUFDQSxVQUFBO0FKdVZOO0FEeERRO0VLNVNOLGVBQUE7RUFDQSxnQkFBQTtFQUVBLGlDQUFBO0VBQ0Esa0NBQUE7RUFHRSxXQUFBO0VBRUEsa0JBQUE7RUFHRSw2QkFBQTtFQUNBLFVBQUE7QUp1Vk47QUM3VkU7RUZxU007SUszUkYsb0JBQUE7SUFDQSxxQkFBQTtJQUVBLHNDQUFBO0lBQ0EsdUNBQUE7RUpzVko7RUQvRE07SUszUkYsb0JBQUE7SUFDQSxxQkFBQTtJQUVBLHNDQUFBO0lBQ0EsdUNBQUE7RUpzVko7QUFDRjtBRDlEWTtFQUNFLE9BQUE7RUFFQSxXQUFBO0FDK0RkO0FEbEVZO0VBQ0UsT0FBQTtFQUVBLFdBQUE7QUMrRGQ7QUR6RE07RUFDRSxvQ0FBQTtFQUNBLG9EQUFBO0VBQ0EsK0JBQUE7RUFDQSw0QkFBQTtFQUNBLHNDQUFBO1VBQUEsOEJBQUE7RUFDQSw4QkFBQTtFQUNBLGtDQUFBO0FDMkRSO0FEbEVNO0VBQ0Usb0NBQUE7RUFDQSxvREFBQTtFQUNBLCtCQUFBO0VBQ0EsNEJBQUE7RUFDQSxzQ0FBQTtVQUFBLDhCQUFBO0VBQ0EsOEJBQUE7RUFDQSxrQ0FBQTtBQzJEUiIsImZpbGUiOiJjb21wb25lbnRzL2NhcmRzL2NvbnRhY3QtY2FyZC9jb250YWN0LWNhcmQuY3NzIiwic291cmNlc0NvbnRlbnQiOlsiQGltcG9ydCBcIi4uLy4uLy4uL21peGluc1wiO1xuXG4uY29udGFjdC1jYXJkIHtcbiAgLS1jYXJkLWxpbmstY29sb3ItaG92ZXI6IHZhcigtLWFjY2VudC1wcmltYXJ5LWhvdmVyKTtcblxuICBwYWRkaW5nOiByZW0oNDApO1xuICB3aWR0aDogMTAwJTtcbiAgaGVpZ2h0OiBmaXQtY29udGVudDtcbiAgZGlzcGxheTogZmxleDtcbiAgZmxleC1kaXJlY3Rpb246IGNvbHVtbjtcbiAgYWxpZ24taXRlbXM6IGZsZXgtc3RhcnQ7XG4gIGp1c3RpZnktY29udGVudDogZmxleC1zdGFydDtcbiAgZ2FwOiByZW0oMzApO1xuXG4gIGJhY2tncm91bmQtY29sb3I6IHZhcigtLWJnLWV4dHJhLWxpZ2h0KTtcbiAgYm9yZGVyLXJhZGl1czogdmFyKC0tcmFkaXVzLWNhcmQpO1xuICBvdmVyZmxvdzogaGlkZGVuO1xuXG4gIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgcGFkZGluZzogYmlnKDQwKTtcbiAgICBnYXA6IGJpZygzMCk7XG4gIH1cblxuICBAaW5jbHVkZSBtZWRpYUxhcHRvcCB7XG4gICAgcGFkZGluZzogcmVtKDMwKTtcbiAgICBnYXA6IHJlbSgyMCk7XG4gIH1cblxuICBAaW5jbHVkZSBtZWRpYVRhYmxldCB7XG4gICAgcGFkZGluZzogcmVtKDIwKTtcbiAgICBnYXA6IHJlbSgxNSk7XG4gIH1cblxuICBAaW5jbHVkZSBtZWRpYU1vYmlsZSB7XG4gICAgcGFkZGluZzogcmVtKDE1KTtcbiAgICBoZWlnaHQ6IGZpdC1jb250ZW50O1xuICAgIG1heC1oZWlnaHQ6IHZhcigtLWNhcmQtaGVpZ2h0KTtcbiAgICBnYXA6IHJlbSgxMCk7XG4gIH1cblxuICAmX3NpbmdsZSB7XG4gICAgJiAuY29udGFjdC1jYXJkIHtcbiAgICAgICZfX3RhYi1saXN0IHtcbiAgICAgICAgJiA+IC50YWI6bm90KFtkYXRhLWNvbnRhY3QtY2FyZC1iYWNrXSkge1xuICAgICAgICAgIGRpc3BsYXk6IG5vbmU7XG4gICAgICAgIH1cblxuICAgICAgICAmID4gLnRhYltkYXRhLWNvbnRhY3QtY2FyZC1iYWNrXSB7XG4gICAgICAgICAgZGlzcGxheTogZmxleDtcbiAgICAgICAgfVxuICAgICAgfVxuXG4gICAgICAmX19saXN0IHtcbiAgICAgICAgZGlzcGxheTogbm9uZTtcbiAgICAgIH1cblxuICAgICAgJl9fd3JhcHBlciB7XG4gICAgICAgIGRpc3BsYXk6IGZsZXg7XG4gICAgICB9XG4gICAgfVxuICB9XG5cbiAgJl9fdGFiLWxpc3Qge1xuICAgIHdpZHRoOiAxMDAlO1xuICAgIGRpc3BsYXk6IGZsZXg7XG4gICAgZmxleC1kaXJlY3Rpb246IHJvdztcbiAgICBhbGlnbi1pdGVtczogZmxleC1zdGFydDtcbiAgICBqdXN0aWZ5LWNvbnRlbnQ6IGZsZXgtc3RhcnQ7XG4gICAgZmxleC1zaHJpbms6IDA7XG4gICAgZmxleC13cmFwOiB3cmFwO1xuICAgIGdhcDogcmVtKDEwKTtcblxuICAgIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgICBnYXA6IGJpZygxMCk7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFUYWJsZXQge1xuICAgICAgcG9zaXRpb246IHJlbGF0aXZlO1xuICAgICAgcmlnaHQ6IHZhcigtLWNvbnRhaW5lci1vZmZzZXQpO1xuXG4gICAgICBwYWRkaW5nOiAwIHZhcigtLWNvbnRhaW5lci1vZmZzZXQpO1xuICAgICAgd2lkdGg6IGNhbGMoMTAwJSArIHZhcigtLWNvbnRhaW5lci1vZmZzZXQpICogMik7XG4gICAgICBmbGV4LXdyYXA6IG5vd3JhcDtcblxuICAgICAgb3ZlcmZsb3cteDogYXV0bztcbiAgICAgIG92ZXJmbG93LXk6IGhpZGRlbjtcblxuICAgICAgQGluY2x1ZGUgc2Nyb2xsYmFyRGVsZXRlO1xuXG4gICAgICBAbWVkaWEgKGFueS1ob3ZlcjogaG92ZXIpIHtcbiAgICAgICAgcG9zaXRpb246IHN0YXRpYztcblxuICAgICAgICBwYWRkaW5nOiAwO1xuICAgICAgICB3aWR0aDogMTAwJTtcbiAgICAgICAgZmxleC13cmFwOiB3cmFwO1xuICAgICAgfVxuICAgIH1cblxuICAgICYgW2RhdGEtY29udGFjdC1jYXJkLWJhY2tdIHtcbiAgICAgIGRpc3BsYXk6IG5vbmU7XG4gICAgfVxuICB9XG5cbiAgJl9fbGlzdCB7XG4gICAgd2lkdGg6IDEwMCU7XG4gICAgbWluLWhlaWdodDogMDtcbiAgICBkaXNwbGF5OiBmbGV4O1xuICAgIGZsZXgtZGlyZWN0aW9uOiBjb2x1bW47XG4gICAgYWxpZ24taXRlbXM6IGZsZXgtc3RhcnQ7XG4gICAganVzdGlmeS1jb250ZW50OiBmbGV4LXN0YXJ0O1xuICAgIGZsZXgtZ3JvdzogMTtcbiAgICBnYXA6IHJlbSgxMCk7XG5cbiAgICBvdmVyZmxvdzogYXV0bztcblxuICAgIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgICBnYXA6IGJpZygxMCk7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFNb2JpbGUge1xuICAgICAgZ2FwOiByZW0oNSk7XG4gICAgfVxuXG4gICAgQG1lZGlhIChhbnktaG92ZXI6IGhvdmVyKSB7XG4gICAgICBAaW5jbHVkZSBzY3JvbGxiYXI7XG4gICAgfVxuICB9XG5cbiAgJl9fd3JhcHBlciB7XG4gICAgd2lkdGg6IDEwMCU7XG4gICAgaGVpZ2h0OiBhdXRvO1xuICAgIG1pbi1oZWlnaHQ6IDA7XG4gICAgZGlzcGxheTogbm9uZTtcbiAgICBmbGV4LWRpcmVjdGlvbjogY29sdW1uO1xuICAgIGFsaWduLWl0ZW1zOiBmbGV4LXN0YXJ0O1xuICAgIGp1c3RpZnktY29udGVudDogZmxleC1zdGFydDtcbiAgICBmbGV4LWdyb3c6IDA7XG4gICAgZ2FwOiByZW0oMzApO1xuXG4gICAgb3ZlcmZsb3c6IGF1dG87XG5cbiAgICBAaW5jbHVkZSBtZWRpYUJpZ0Rlc2t0b3Age1xuICAgICAgZ2FwOiBiaWcoMzApO1xuICAgIH1cblxuICAgIEBpbmNsdWRlIG1lZGlhTGFwdG9wIHtcbiAgICAgIGdhcDogcmVtKDIwKTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYVRhYmxldCB7XG4gICAgICBnYXA6IHJlbSgxNSk7XG4gICAgfVxuXG4gICAgQG1lZGlhIChhbnktaG92ZXI6IGhvdmVyKSB7XG4gICAgICBAaW5jbHVkZSBzY3JvbGxiYXI7XG4gICAgfVxuICB9XG5cbiAgJl9faW1hZ2Uge1xuICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcblxuICAgIHdpZHRoOiAxMDAlO1xuICAgIGhlaWdodDogYXV0bztcbiAgICBhc3BlY3QtcmF0aW86IDYyNSAvIDMwMDtcbiAgICBmbGV4LXNocmluazogMDtcblxuICAgIGJvcmRlci1yYWRpdXM6IHZhcigtLXJhZGl1cy1jYXJkLXMpO1xuICAgIG92ZXJmbG93OiBoaWRkZW47XG5cbiAgICBwb2ludGVyLWV2ZW50czogbm9uZTtcbiAgICB1c2VyLXNlbGVjdDogbm9uZTtcblxuICAgIEBpbmNsdWRlIG1lZGlhTGFwdG9wIHtcbiAgICAgIGFzcGVjdC1yYXRpbzogNDYyIC8gMjIyO1xuICAgIH1cblxuICAgIEBpbmNsdWRlIG1lZGlhVGFibGV0IHtcbiAgICAgIGFzcGVjdC1yYXRpbzogMjk0IC8gMTM0O1xuICAgIH1cblxuICAgIEBpbmNsdWRlIG1lZGlhTW9iaWxlIHtcbiAgICAgIGFzcGVjdC1yYXRpbzogMjUwIC8gMTE0O1xuICAgIH1cblxuICAgICYgaW1nLFxuICAgICYgcGljdHVyZSB7XG4gICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICB0b3A6IDA7XG4gICAgICBsZWZ0OiAwO1xuXG4gICAgICB3aWR0aDogMTAwJTtcbiAgICAgIGhlaWdodDogMTAwJTtcbiAgICAgIG9iamVjdC1maXQ6IGNvdmVyO1xuICAgICAgb2JqZWN0LXBvc2l0aW9uOiBjZW50ZXI7XG4gICAgfVxuICB9XG5cbiAgJl9fY29udGVudCB7XG4gICAgLS1sb2NhbC1jb2x1bW4tZ2FwOiAje3JlbSg0NCl9O1xuICAgIC0tbG9jYWwtcm93LWdhcDogI3tyZW0oMTYpfTtcblxuICAgIHdpZHRoOiAxMDAlO1xuICAgIGRpc3BsYXk6IGZsZXg7XG4gICAgZmxleC1kaXJlY3Rpb246IGNvbHVtbjtcbiAgICBhbGlnbi1pdGVtczogZmxleC1zdGFydDtcbiAgICBqdXN0aWZ5LWNvbnRlbnQ6IGZsZXgtc3RhcnQ7XG4gICAgZ2FwOiB2YXIoLS1sb2NhbC1yb3ctZ2FwKTtcblxuICAgIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgICAtLWxvY2FsLWNvbHVtbi1nYXA6ICN7YmlnKDQ0KX07XG4gICAgICAtLWxvY2FsLXJvdy1nYXA6ICN7YmlnKDE2KX07XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFMYXB0b3Age1xuICAgICAgLS1sb2NhbC1yb3ctZ2FwOiAje3JlbSgxNCl9O1xuICAgIH1cblxuICAgIEBpbmNsdWRlIG1lZGlhVGFibGV0IHtcbiAgICAgIC0tbG9jYWwtcm93LWdhcDogI3tyZW0oMTIpfTtcbiAgICB9XG4gIH1cblxuICAmX19yb3cge1xuICAgIHdpZHRoOiAxMDAlO1xuICAgIGRpc3BsYXk6IGdyaWQ7XG4gICAgZ3JpZC10ZW1wbGF0ZS1jb2x1bW5zOiByZXBlYXQoMiwgMWZyKTtcbiAgICByb3ctZ2FwOiB2YXIoLS1sb2NhbC1yb3ctZ2FwKTtcbiAgICBjb2x1bW4tZ2FwOiB2YXIoLS1sb2NhbC1jb2x1bW4tZ2FwKTtcblxuICAgIC5jb2x1bW4ge1xuICAgICAgZGlzcGxheTogZmxleDtcbiAgICAgIGZsZXgtZGlyZWN0aW9uOiBjb2x1bW47XG4gICAgICBnYXA6IHZhcigtLWxvY2FsLXJvdy1nYXApO1xuICAgIH1cblxuICAgIEBpbmNsdWRlIG1lZGlhVGFibGV0IHtcbiAgICAgIGdyaWQtdGVtcGxhdGUtY29sdW1uczogMWZyO1xuICAgIH1cbiAgfVxuXG4gICZfX2l0ZW0ge1xuICAgIHdpZHRoOiAxMDAlO1xuICAgIGRpc3BsYXk6IGZsZXg7XG4gICAgZmxleC1kaXJlY3Rpb246IGNvbHVtbjtcbiAgICBhbGlnbi1pdGVtczogZmxleC1zdGFydDtcbiAgICBqdXN0aWZ5LWNvbnRlbnQ6IGZsZXgtc3RhcnQ7XG4gICAgZ2FwOiByZW0oNSk7XG5cbiAgICBAaW5jbHVkZSBtZWRpYUJpZ0Rlc2t0b3Age1xuICAgICAgZ2FwOiBiaWcoNSk7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFMYXB0b3Age1xuICAgICAgZ2FwOiByZW0oMyk7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFUYWJsZXQge1xuICAgICAgZ2FwOiAwO1xuICAgIH1cblxuICAgICY6aGFzKC5zb2NpYWwtbGlzdCkge1xuICAgICAgZ2FwOiByZW0oMTUpO1xuXG4gICAgICBAaW5jbHVkZSBtZWRpYUJpZ0Rlc2t0b3Age1xuICAgICAgICBnYXA6IGJpZygxNSk7XG4gICAgICB9XG5cbiAgICAgIEBpbmNsdWRlIG1lZGlhTGFwdG9wIHtcbiAgICAgICAgZ2FwOiByZW0oMTApO1xuICAgICAgfVxuXG4gICAgICBAaW5jbHVkZSBtZWRpYVRhYmxldCB7XG4gICAgICAgIGdhcDogcmVtKDUpO1xuICAgICAgfVxuICAgIH1cbiAgfVxuXG4gICZfX25hbWUge1xuICAgIGNvbG9yOiB2YXIoLS10ZXh0LWRhcmstc2Vjb25kYXJ5KTtcbiAgfVxuXG4gICZfX3ZhbHVlIHtcbiAgICAuYnV0dG9uLmJ1dHRvbl9zb2NpYWwge1xuICAgICAgLS1idXR0b24tYm9yZGVyLWNvbG9yOiB2YXIoLS1zdHJva2UtZGFyay0yNSk7XG4gICAgICAtLWljb24tY29sb3I6IHZhcigtLXRleHQtZGFyay1wcmltYXJ5KTtcbiAgICB9XG5cbiAgICAmOm5vdCg6aGFzKC5zb2NpYWwtbGlzdCkpIHtcbiAgICAgIGNvbG9yOiB2YXIoLS10ZXh0LWRhcmstcHJpbWFyeSk7XG4gICAgICBmb250OiB2YXIoLS1mb250LWJvZHktTC1yKTtcblxuICAgICAgJltocmVmXSB7XG4gICAgICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgICAgICAgd2lkdGg6IGZpdC1jb250ZW50O1xuICAgICAgICB0ZXh0LWRlY29yYXRpb246IG5vbmU7XG4gICAgICAgIHRyYW5zaXRpb246IGNvbG9yIHZhcigtLWFuaW1hdGlvbi1kZWZhdWx0KTtcblxuICAgICAgICBAaW5jbHVkZSBob3ZlciB7XG4gICAgICAgICAgY29sb3I6IHZhcigtLWNhcmQtbGluay1jb2xvci1ob3Zlcik7XG4gICAgICAgIH1cblxuICAgICAgICAmOjpiZWZvcmUge1xuICAgICAgICAgIEBpbmNsdWRlIHBzZXVkbyg1KSB7XG4gICAgICAgICAgICAmIHtcbiAgICAgICAgICAgICAgbGVmdDogMDtcblxuICAgICAgICAgICAgICB3aWR0aDogMTAwJTtcbiAgICAgICAgICAgIH1cbiAgICAgICAgICB9XG4gICAgICAgIH1cbiAgICAgIH1cblxuICAgICAgJltocmVmKj1cIm1haWx0bzpcIl0ge1xuICAgICAgICBjb2xvcjogdmFyKC0tYWNjZW50LXByaW1hcnktZGVmYXVsdCk7XG4gICAgICAgIHRleHQtZGVjb3JhdGlvbi1jb2xvcjogdmFyKC0tYWNjZW50LXByaW1hcnktZGVmYXVsdCk7XG4gICAgICAgIHRleHQtZGVjb3JhdGlvbi1saW5lOiB1bmRlcmxpbmU7XG4gICAgICAgIHRleHQtZGVjb3JhdGlvbi1zdHlsZTogc29saWQ7XG4gICAgICAgIHRleHQtZGVjb3JhdGlvbi1za2lwLWluazogbm9uZTtcbiAgICAgICAgdGV4dC1kZWNvcmF0aW9uLXRoaWNrbmVzczogMXB4O1xuICAgICAgICB0ZXh0LXVuZGVybGluZS1wb3NpdGlvbjogZnJvbS1mb250O1xuXG4gICAgICB9XG4gICAgfVxuICB9XG59XG4iLCJAaW1wb3J0IFwiLi4vLi4vLi4vbWl4aW5zXCI7XG5cbi5jb250YWN0LWNhcmQge1xuICAtLWNhcmQtbGluay1jb2xvci1ob3ZlcjogdmFyKC0tYWNjZW50LXByaW1hcnktaG92ZXIpO1xuXG4gIHBhZGRpbmc6IHJlbSg0MCk7XG4gIHdpZHRoOiAxMDAlO1xuICBoZWlnaHQ6IGZpdC1jb250ZW50O1xuICBkaXNwbGF5OiBmbGV4O1xuICBmbGV4LWRpcmVjdGlvbjogY29sdW1uO1xuICBhbGlnbi1pdGVtczogZmxleC1zdGFydDtcbiAganVzdGlmeS1jb250ZW50OiBmbGV4LXN0YXJ0O1xuICBnYXA6IHJlbSgzMCk7XG5cbiAgYmFja2dyb3VuZC1jb2xvcjogdmFyKC0tYmctZXh0cmEtbGlnaHQpO1xuICBib3JkZXItcmFkaXVzOiB2YXIoLS1yYWRpdXMtY2FyZCk7XG4gIG92ZXJmbG93OiBoaWRkZW47XG5cbiAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICBwYWRkaW5nOiBiaWcoNDApO1xuICAgIGdhcDogYmlnKDMwKTtcbiAgfVxuXG4gIEBpbmNsdWRlIG1lZGlhTGFwdG9wIHtcbiAgICBwYWRkaW5nOiByZW0oMzApO1xuICAgIGdhcDogcmVtKDIwKTtcbiAgfVxuXG4gIEBpbmNsdWRlIG1lZGlhVGFibGV0IHtcbiAgICBwYWRkaW5nOiByZW0oMjApO1xuICAgIGdhcDogcmVtKDE1KTtcbiAgfVxuXG4gIEBpbmNsdWRlIG1lZGlhTW9iaWxlIHtcbiAgICBwYWRkaW5nOiByZW0oMTUpO1xuICAgIGhlaWdodDogZml0LWNvbnRlbnQ7XG4gICAgbWF4LWhlaWdodDogdmFyKC0tY2FyZC1oZWlnaHQpO1xuICAgIGdhcDogcmVtKDEwKTtcbiAgfVxuXG4gICZfc2luZ2xlIHtcbiAgICAmIC5jb250YWN0LWNhcmQge1xuICAgICAgJl9fdGFiLWxpc3Qge1xuICAgICAgICAmID4gLnRhYjpub3QoW2RhdGEtY29udGFjdC1jYXJkLWJhY2tdKSB7XG4gICAgICAgICAgZGlzcGxheTogbm9uZTtcbiAgICAgICAgfVxuXG4gICAgICAgICYgPiAudGFiW2RhdGEtY29udGFjdC1jYXJkLWJhY2tdIHtcbiAgICAgICAgICBkaXNwbGF5OiBmbGV4O1xuICAgICAgICB9XG4gICAgICB9XG5cbiAgICAgICZfX2xpc3Qge1xuICAgICAgICBkaXNwbGF5OiBub25lO1xuICAgICAgfVxuXG4gICAgICAmX193cmFwcGVyIHtcbiAgICAgICAgZGlzcGxheTogZmxleDtcbiAgICAgIH1cbiAgICB9XG4gIH1cblxuICAmX190YWItbGlzdCB7XG4gICAgd2lkdGg6IDEwMCU7XG4gICAgZGlzcGxheTogZmxleDtcbiAgICBmbGV4LWRpcmVjdGlvbjogcm93O1xuICAgIGFsaWduLWl0ZW1zOiBmbGV4LXN0YXJ0O1xuICAgIGp1c3RpZnktY29udGVudDogZmxleC1zdGFydDtcbiAgICBmbGV4LXNocmluazogMDtcbiAgICBmbGV4LXdyYXA6IHdyYXA7XG4gICAgZ2FwOiByZW0oMTApO1xuXG4gICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgIGdhcDogYmlnKDEwKTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYVRhYmxldCB7XG4gICAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgICByaWdodDogdmFyKC0tY29udGFpbmVyLW9mZnNldCk7XG5cbiAgICAgIHBhZGRpbmc6IDAgdmFyKC0tY29udGFpbmVyLW9mZnNldCk7XG4gICAgICB3aWR0aDogY2FsYygxMDAlICsgdmFyKC0tY29udGFpbmVyLW9mZnNldCkgKiAyKTtcbiAgICAgIGZsZXgtd3JhcDogbm93cmFwO1xuXG4gICAgICBvdmVyZmxvdy14OiBhdXRvO1xuICAgICAgb3ZlcmZsb3cteTogaGlkZGVuO1xuXG4gICAgICBAaW5jbHVkZSBzY3JvbGxiYXJEZWxldGU7XG5cbiAgICAgIEBtZWRpYSAoYW55LWhvdmVyOiBob3Zlcikge1xuICAgICAgICBwb3NpdGlvbjogc3RhdGljO1xuXG4gICAgICAgIHBhZGRpbmc6IDA7XG4gICAgICAgIHdpZHRoOiAxMDAlO1xuICAgICAgICBmbGV4LXdyYXA6IHdyYXA7XG4gICAgICB9XG4gICAgfVxuXG4gICAgJiBbZGF0YS1jb250YWN0LWNhcmQtYmFja10ge1xuICAgICAgZGlzcGxheTogbm9uZTtcbiAgICB9XG4gIH1cblxuICAmX19saXN0IHtcbiAgICB3aWR0aDogMTAwJTtcbiAgICBtaW4taGVpZ2h0OiAwO1xuICAgIGRpc3BsYXk6IGZsZXg7XG4gICAgZmxleC1kaXJlY3Rpb246IGNvbHVtbjtcbiAgICBhbGlnbi1pdGVtczogZmxleC1zdGFydDtcbiAgICBqdXN0aWZ5LWNvbnRlbnQ6IGZsZXgtc3RhcnQ7XG4gICAgZmxleC1ncm93OiAxO1xuICAgIGdhcDogcmVtKDEwKTtcblxuICAgIG92ZXJmbG93OiBhdXRvO1xuXG4gICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgIGdhcDogYmlnKDEwKTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYU1vYmlsZSB7XG4gICAgICBnYXA6IHJlbSg1KTtcbiAgICB9XG5cbiAgICBAbWVkaWEgKGFueS1ob3ZlcjogaG92ZXIpIHtcbiAgICAgIEBpbmNsdWRlIHNjcm9sbGJhcjtcbiAgICB9XG4gIH1cblxuICAmX193cmFwcGVyIHtcbiAgICB3aWR0aDogMTAwJTtcbiAgICBoZWlnaHQ6IGF1dG87XG4gICAgbWluLWhlaWdodDogMDtcbiAgICBkaXNwbGF5OiBub25lO1xuICAgIGZsZXgtZGlyZWN0aW9uOiBjb2x1bW47XG4gICAgYWxpZ24taXRlbXM6IGZsZXgtc3RhcnQ7XG4gICAganVzdGlmeS1jb250ZW50OiBmbGV4LXN0YXJ0O1xuICAgIGZsZXgtZ3JvdzogMDtcbiAgICBnYXA6IHJlbSgzMCk7XG5cbiAgICBvdmVyZmxvdzogYXV0bztcblxuICAgIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgICBnYXA6IGJpZygzMCk7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFMYXB0b3Age1xuICAgICAgZ2FwOiByZW0oMjApO1xuICAgIH1cblxuICAgIEBpbmNsdWRlIG1lZGlhVGFibGV0IHtcbiAgICAgIGdhcDogcmVtKDE1KTtcbiAgICB9XG5cbiAgICBAbWVkaWEgKGFueS1ob3ZlcjogaG92ZXIpIHtcbiAgICAgIEBpbmNsdWRlIHNjcm9sbGJhcjtcbiAgICB9XG4gIH1cblxuICAmX19pbWFnZSB7XG4gICAgcG9zaXRpb246IHJlbGF0aXZlO1xuXG4gICAgd2lkdGg6IDEwMCU7XG4gICAgaGVpZ2h0OiBhdXRvO1xuICAgIGFzcGVjdC1yYXRpbzogNjI1IC8gMzAwO1xuICAgIGZsZXgtc2hyaW5rOiAwO1xuXG4gICAgYm9yZGVyLXJhZGl1czogdmFyKC0tcmFkaXVzLWNhcmQtcyk7XG4gICAgb3ZlcmZsb3c6IGhpZGRlbjtcblxuICAgIHBvaW50ZXItZXZlbnRzOiBub25lO1xuICAgIHVzZXItc2VsZWN0OiBub25lO1xuXG4gICAgQGluY2x1ZGUgbWVkaWFMYXB0b3Age1xuICAgICAgYXNwZWN0LXJhdGlvOiA0NjIgLyAyMjI7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFUYWJsZXQge1xuICAgICAgYXNwZWN0LXJhdGlvOiAyOTQgLyAxMzQ7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFNb2JpbGUge1xuICAgICAgYXNwZWN0LXJhdGlvOiAyNTAgLyAxMTQ7XG4gICAgfVxuXG4gICAgJiBpbWcsXG4gICAgJiBwaWN0dXJlIHtcbiAgICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcbiAgICAgIHRvcDogMDtcbiAgICAgIGxlZnQ6IDA7XG5cbiAgICAgIHdpZHRoOiAxMDAlO1xuICAgICAgaGVpZ2h0OiAxMDAlO1xuICAgICAgb2JqZWN0LWZpdDogY292ZXI7XG4gICAgICBvYmplY3QtcG9zaXRpb246IGNlbnRlcjtcbiAgICB9XG4gIH1cblxuICAmX19jb250ZW50IHtcbiAgICAtLWxvY2FsLWNvbHVtbi1nYXA6ICN7cmVtKDQ0KX07XG4gICAgLS1sb2NhbC1yb3ctZ2FwOiAje3JlbSgxNil9O1xuXG4gICAgd2lkdGg6IDEwMCU7XG4gICAgZGlzcGxheTogZmxleDtcbiAgICBmbGV4LWRpcmVjdGlvbjogY29sdW1uO1xuICAgIGFsaWduLWl0ZW1zOiBmbGV4LXN0YXJ0O1xuICAgIGp1c3RpZnktY29udGVudDogZmxleC1zdGFydDtcbiAgICBnYXA6IHZhcigtLWxvY2FsLXJvdy1nYXApO1xuXG4gICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgIC0tbG9jYWwtY29sdW1uLWdhcDogI3tiaWcoNDQpfTtcbiAgICAgIC0tbG9jYWwtcm93LWdhcDogI3tiaWcoMTYpfTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYUxhcHRvcCB7XG4gICAgICAtLWxvY2FsLXJvdy1nYXA6ICN7cmVtKDE0KX07XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFUYWJsZXQge1xuICAgICAgLS1sb2NhbC1yb3ctZ2FwOiAje3JlbSgxMil9O1xuICAgIH1cbiAgfVxuXG4gICZfX3JvdyB7XG4gICAgd2lkdGg6IDEwMCU7XG4gICAgZGlzcGxheTogZ3JpZDtcbiAgICBncmlkLXRlbXBsYXRlLWNvbHVtbnM6IHJlcGVhdCgyLCAxZnIpO1xuICAgIHJvdy1nYXA6IHZhcigtLWxvY2FsLXJvdy1nYXApO1xuICAgIGNvbHVtbi1nYXA6IHZhcigtLWxvY2FsLWNvbHVtbi1nYXApO1xuXG4gICAgLmNvbHVtbiB7XG4gICAgICBkaXNwbGF5OiBmbGV4O1xuICAgICAgZmxleC1kaXJlY3Rpb246IGNvbHVtbjtcbiAgICAgIGdhcDogdmFyKC0tbG9jYWwtcm93LWdhcCk7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFUYWJsZXQge1xuICAgICAgZ3JpZC10ZW1wbGF0ZS1jb2x1bW5zOiAxZnI7XG4gICAgfVxuICB9XG5cbiAgJl9faXRlbSB7XG4gICAgd2lkdGg6IDEwMCU7XG4gICAgZGlzcGxheTogZmxleDtcbiAgICBmbGV4LWRpcmVjdGlvbjogY29sdW1uO1xuICAgIGFsaWduLWl0ZW1zOiBmbGV4LXN0YXJ0O1xuICAgIGp1c3RpZnktY29udGVudDogZmxleC1zdGFydDtcbiAgICBnYXA6IHJlbSg1KTtcblxuICAgIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgICBnYXA6IGJpZyg1KTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYUxhcHRvcCB7XG4gICAgICBnYXA6IHJlbSgzKTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYVRhYmxldCB7XG4gICAgICBnYXA6IDA7XG4gICAgfVxuXG4gICAgJjpoYXMoLnNvY2lhbC1saXN0KSB7XG4gICAgICBnYXA6IHJlbSgxNSk7XG5cbiAgICAgIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgICAgIGdhcDogYmlnKDE1KTtcbiAgICAgIH1cblxuICAgICAgQGluY2x1ZGUgbWVkaWFMYXB0b3Age1xuICAgICAgICBnYXA6IHJlbSgxMCk7XG4gICAgICB9XG5cbiAgICAgIEBpbmNsdWRlIG1lZGlhVGFibGV0IHtcbiAgICAgICAgZ2FwOiByZW0oNSk7XG4gICAgICB9XG4gICAgfVxuICB9XG5cbiAgJl9fbmFtZSB7XG4gICAgY29sb3I6IHZhcigtLXRleHQtZGFyay1zZWNvbmRhcnkpO1xuICB9XG5cbiAgJl9fdmFsdWUge1xuICAgIC5idXR0b24uYnV0dG9uX3NvY2lhbCB7XG4gICAgICAtLWJ1dHRvbi1ib3JkZXItY29sb3I6IHZhcigtLXN0cm9rZS1kYXJrLTI1KTtcbiAgICAgIC0taWNvbi1jb2xvcjogdmFyKC0tdGV4dC1kYXJrLXByaW1hcnkpO1xuICAgIH1cblxuICAgICY6bm90KDpoYXMoLnNvY2lhbC1saXN0KSkge1xuICAgICAgY29sb3I6IHZhcigtLXRleHQtZGFyay1wcmltYXJ5KTtcbiAgICAgIGZvbnQ6IHZhcigtLWZvbnQtYm9keS1MLXIpO1xuXG4gICAgICAmW2hyZWZdIHtcbiAgICAgICAgcG9zaXRpb246IHJlbGF0aXZlO1xuICAgICAgICB3aWR0aDogZml0LWNvbnRlbnQ7XG4gICAgICAgIHRleHQtZGVjb3JhdGlvbjogbm9uZTtcbiAgICAgICAgdHJhbnNpdGlvbjogY29sb3IgdmFyKC0tYW5pbWF0aW9uLWRlZmF1bHQpO1xuXG4gICAgICAgIEBpbmNsdWRlIGhvdmVyIHtcbiAgICAgICAgICBjb2xvcjogdmFyKC0tY2FyZC1saW5rLWNvbG9yLWhvdmVyKTtcbiAgICAgICAgfVxuXG4gICAgICAgICY6OmJlZm9yZSB7XG4gICAgICAgICAgQGluY2x1ZGUgcHNldWRvKDUpIHtcbiAgICAgICAgICAgICYge1xuICAgICAgICAgICAgICBsZWZ0OiAwO1xuXG4gICAgICAgICAgICAgIHdpZHRoOiAxMDAlO1xuICAgICAgICAgICAgfVxuICAgICAgICAgIH1cbiAgICAgICAgfVxuICAgICAgfVxuXG4gICAgICAmW2hyZWYqPVwibWFpbHRvOlwiXSB7XG4gICAgICAgIGNvbG9yOiB2YXIoLS1hY2NlbnQtcHJpbWFyeS1kZWZhdWx0KTtcbiAgICAgICAgdGV4dC1kZWNvcmF0aW9uLWNvbG9yOiB2YXIoLS1hY2NlbnQtcHJpbWFyeS1kZWZhdWx0KTtcbiAgICAgICAgdGV4dC1kZWNvcmF0aW9uLWxpbmU6IHVuZGVybGluZTtcbiAgICAgICAgdGV4dC1kZWNvcmF0aW9uLXN0eWxlOiBzb2xpZDtcbiAgICAgICAgdGV4dC1kZWNvcmF0aW9uLXNraXAtaW5rOiBub25lO1xuICAgICAgICB0ZXh0LWRlY29yYXRpb24tdGhpY2tuZXNzOiAxcHg7XG4gICAgICAgIHRleHQtdW5kZXJsaW5lLXBvc2l0aW9uOiBmcm9tLWZvbnQ7XG5cbiAgICAgIH1cbiAgICB9XG4gIH1cbn1cbiIsIi8vIC8qXG4vLyDila3ilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDQl9Cw0LzQtdGC0J7Rh9C60LDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDila5cbi8vIOKUgiAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg4pSCXG4vLyDilIIgICAgICAgINCX0LDQvNC10L3QuNGC0Ywg0LfQsNC/0YDQvtGB0Ysg0LIgY29tbW9uLmpzICAgICAgICDilIJcbi8vIOKUgiAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg4pSCXG4vLyDilbDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDilIDila9cbi8vICovXG5AbWl4aW4gbWVkaWFCaWdEZXNrdG9wIHtcbiAgQG1lZGlhICh3aWR0aCA+IDE5MjBweCkge1xuICAgIEBjb250ZW50O1xuICB9XG59XG5cbkBtaXhpbiBtZWRpYUxhcHRvcCB7XG4gIEBtZWRpYSAod2lkdGggPD0gMTYwMHB4KSB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cblxuQG1peGluIG1lZGlhVGFibGV0IHtcbiAgQG1lZGlhICh3aWR0aCA8PSAxMTYwcHgpIHtcbiAgICBAY29udGVudDtcbiAgfVxufVxuXG5AbWl4aW4gbWVkaWFNb2JpbGUge1xuICBAbWVkaWEgKHdpZHRoIDw9IDYzMHB4KSB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cblxuQG1peGluIG1lZGlhKCR3aWR0aCkge1xuICBAbWVkaWEgKHdpZHRoIDw9ICR3aWR0aCkge1xuICAgIEBjb250ZW50O1xuICB9XG59XG4iLCIkdHJhY2tfY29sb3I6IHRyYW5zcGFyZW50O1xuJHRodW1iX2NvbG9yOiB2YXIoLS1zdHJva2UtZGFyay0xNSk7XG4kdGh1bWJfY29sb3JfaG92ZXI6IHZhcigtLWN1cnJlbnQtYWNjZW50LWNvbG9yKTtcbiRib3JkZXJfY29sb3I6IHZhcigtLWJnLXdoaXRlKTtcbiRsaW5lX3NpemU6IHJlbSgxMyk7XG4kbGluZV9oaWdodDogJGxpbmVfc2l6ZTtcbiRyYWRpdXM6IHZhcigtLXJhZGl1cy1zbWFsbC1lbGVtZW50cyk7XG4kb2Zmc2V0OiByZW0oNCk7XG5cbkBtaXhpbiBzY3JvbGxiYXIge1xuICAtLXNjcm9sbGJhci1ib3JkZXItY29sb3I6ICN7JGJvcmRlcl9jb2xvcn07XG4gIC0tc2Nyb2xsYmFyLXRodW1iLWNvbG9yOiAjeyR0aHVtYl9jb2xvcn07XG4gIC0tc2Nyb2xsYmFyLXRodW1iLWNvbG9yLWhvdmVyOiAjeyR0aHVtYl9jb2xvcl9ob3Zlcn07XG5cbiAgJjo6LXdlYmtpdC1zY3JvbGxiYXIge1xuICAgIHdpZHRoOiAkbGluZV9zaXplO1xuICB9XG5cbiAgJjo6LXdlYmtpdC1zY3JvbGxiYXItdHJhY2sge1xuICAgIGJhY2tncm91bmQ6IHZhcigtLXNjcm9sbGJhci10cmFjay1jb2xvciwgI3skdHJhY2tfY29sb3J9KTtcbiAgfVxuXG4gICY6Oi13ZWJraXQtc2Nyb2xsYmFyLXRodW1iIHtcbiAgICBiYWNrZ3JvdW5kLWNvbG9yOiB2YXIoLS1zY3JvbGxiYXItdGh1bWItY29sb3IsICN7JHRodW1iX2NvbG9yfSk7XG4gICAgYm9yZGVyOiAkb2Zmc2V0IHNvbGlkIHZhcigtLXNjcm9sbGJhci1ib3JkZXItY29sb3IsICN7JGJvcmRlcl9jb2xvcn0pO1xuICAgIGJvcmRlci1yYWRpdXM6ICRyYWRpdXM7XG5cbiAgICBjdXJzb3I6IHBvaW50ZXI7XG5cbiAgICBAaW5jbHVkZSBob3ZlciB7XG4gICAgICBiYWNrZ3JvdW5kLWNvbG9yOiB2YXIoLS1zY3JvbGxiYXItdGh1bWItY29sb3ItaG92ZXIsICN7JHRodW1iX2NvbG9yX2hvdmVyfSk7XG4gICAgfVxuICB9XG5cbiAgLmludmVydC1jb21wb25lbnRzICYsXG4gICYuaW52ZXJ0LWNvbXBvbmVudHMge1xuICAgICY6bm90KC5uby1pbnZlcnQpIHtcbiAgICAgIC0tc2Nyb2xsYmFyLWJvcmRlci1jb2xvcjogdmFyKC0tYmctZGFyay1saWdodCk7XG4gICAgICAtLXNjcm9sbGJhci10aHVtYi1jb2xvcjogdmFyKC0tc3Ryb2tlLWxpZ2h0LTI1KTtcbiAgICB9XG4gIH1cbn1cblxuQG1peGluIHNjcm9sbGJhckhvcml6b250YWwge1xuICAtLXNjcm9sbGJhci1ib3JkZXItY29sb3I6ICN7JGJvcmRlcl9jb2xvcn07XG4gIC0tc2Nyb2xsYmFyLXRodW1iLWNvbG9yOiAjeyR0aHVtYl9jb2xvcn07XG4gIC0tc2Nyb2xsYmFyLXRodW1iLWNvbG9yLWhvdmVyOiAjeyR0aHVtYl9jb2xvcl9ob3Zlcn07XG5cbiAgJjo6LXdlYmtpdC1zY3JvbGxiYXIge1xuICAgIGhlaWdodDogJGxpbmVfaGlnaHQ7XG4gIH1cblxuICAmOjotd2Via2l0LXNjcm9sbGJhci10cmFjayB7XG4gICAgYmFja2dyb3VuZDogdmFyKC0tc2Nyb2xsYmFyLXRyYWNrLWNvbG9yLCAjeyR0cmFja19jb2xvcn0pO1xuICB9XG5cbiAgJjo6LXdlYmtpdC1zY3JvbGxiYXItdGh1bWIge1xuICAgIGJhY2tncm91bmQtY29sb3I6IHZhcigtLXNjcm9sbGJhci10aHVtYi1jb2xvciwgI3skdGh1bWJfY29sb3J9KTtcbiAgICBib3JkZXI6ICRvZmZzZXQgc29saWQgdmFyKC0tc2Nyb2xsYmFyLWJvcmRlci1jb2xvciwgI3skYm9yZGVyX2NvbG9yfSk7XG4gICAgYm9yZGVyLXJhZGl1czogJHJhZGl1cztcblxuICAgIGN1cnNvcjogcG9pbnRlcjtcblxuICAgIEBpbmNsdWRlIGhvdmVyIHtcbiAgICAgIGJhY2tncm91bmQtY29sb3I6IHZhcigtLXNjcm9sbGJhci10aHVtYi1jb2xvci1ob3ZlciwgI3skdGh1bWJfY29sb3JfaG92ZXJ9KTtcbiAgICB9XG4gIH1cblxuICAuaW52ZXJ0LWNvbXBvbmVudHMgJixcbiAgJi5pbnZlcnQtY29tcG9uZW50cyB7XG4gICAgJjpub3QoLm5vLWludmVydCkge1xuICAgICAgLS1zY3JvbGxiYXItYm9yZGVyLWNvbG9yOiB2YXIoLS1iZy1kYXJrLWxpZ2h0KTtcbiAgICAgIC0tc2Nyb2xsYmFyLXRodW1iLWNvbG9yOiB2YXIoLS1zdHJva2UtbGlnaHQtMjUpO1xuICAgIH1cbiAgfVxufVxuXG5AbWl4aW4gc2Nyb2xsYmFyRGVsZXRlIHtcbiAgc2Nyb2xsYmFyLXdpZHRoOiBub25lO1xuXG4gICY6Oi13ZWJraXQtc2Nyb2xsYmFyIHtcbiAgICBkaXNwbGF5OiBub25lO1xuICB9XG5cbiAgJjo6LXdlYmtpdC1zY3JvbGxiYXItdHJhY2sge1xuICAgIGRpc3BsYXk6IG5vbmU7XG4gIH1cblxuICAmOjotd2Via2l0LXNjcm9sbGJhci10aHVtYiB7XG4gICAgZGlzcGxheTogbm9uZTtcbiAgfVxufVxuIiwiQG1peGluIGhvdmVyIHtcbiAgQG1lZGlhIChhbnktaG92ZXI6IGhvdmVyKSB7XG4gICAgJjpob3ZlciB7XG4gICAgICBAY29udGVudDtcbiAgICB9XG4gIH1cbn1cbiIsIkBtaXhpbiBwc2V1ZG8oJHBpeGVsLCAkcmVwZWF0OiBmYWxzZSwgJHRyYW5zcGFyZW50OiB0cnVlKSB7XG4gIHRvcDogLSN7cmVtKCRwaXhlbCl9O1xuICBsZWZ0OiAtI3tyZW0oJHBpeGVsKX07XG5cbiAgd2lkdGg6IGNhbGMoMTAwJSArICN7cmVtKCRwaXhlbCl9ICogMik7XG4gIGhlaWdodDogY2FsYygxMDAlICsgI3tyZW0oJHBpeGVsKX0gKiAyKTtcblxuICBAaWYgJHJlcGVhdCA9PSBmYWxzZSB7XG4gICAgY29udGVudDogXCJcIjtcblxuICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcblxuICAgIEBpZiAkdHJhbnNwYXJlbnQge1xuICAgICAgYmFja2dyb3VuZC1jb2xvcjogdHJhbnNwYXJlbnQ7XG4gICAgICBvcGFjaXR5OiAwO1xuICAgIH1cblxuICAgIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgICB0b3A6ICN7YmlnKC0kcGl4ZWwpfTtcbiAgICAgIGxlZnQ6ICN7YmlnKC0kcGl4ZWwpfTtcbiAgXG4gICAgICB3aWR0aDogY2FsYygxMDAlICsgI3tiaWcoJHBpeGVsKX0gKiAyKTtcbiAgICAgIGhlaWdodDogY2FsYygxMDAlICsgI3tiaWcoJHBpeGVsKX0gKiAyKTtcbiAgICB9XG4gIH1cblxuICBAY29udGVudDtcbn1cbiJdfQ== */
